﻿using KTour.ViewModels;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

namespace KTour.Views
{
    public sealed partial class FestivalView : KTour.Common.LayoutAwarePage
    {
        public FestivalViewModel ViewModel
        {
            get { return this.DataContext as FestivalViewModel; }
            set
            {
                this.DataContext = value;
            }
        }

        public FestivalView()
        {
            this.InitializeComponent();

            if (!Windows.ApplicationModel.DesignMode.DesignModeEnabled)
            {
                var locator = App.Current.Resources["Locator"] as ViewModelLocator;
                ViewModel = locator.FestivalVM;

                gvMain.IsItemClickEnabled = true;
                gvMain.ItemClick += 
                    (s, e) => 
                    {
                        ViewModel.ItemClick(e.ClickedItem);
                    };
            }

        }

        protected override async void LoadState(Object navigationParameter, Dictionary<String, Object> pageState)
        {
            await ViewModel.Init();
        }

        protected override void SaveState(Dictionary<String, Object> pageState)
        {
        }
    }
}
